Bug 151521 - RFE: Bugzilla should choose a proper default version in enter_bug based on product
Summary: RFE: Bugzilla should choose a proper default version in enter_bug based on pr...
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 3.6
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Simon Green
QA Contact: Kevin Baker
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-18 21:34 UTC by David Lawrence
Modified: 2014-12-01 23:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 12:12:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2005-03-18 21:34:10 UTC
+++ This bug was initially created as a clone of Bug #151510 +++

Bugzilla should have a way to decide that a particular version should be
selected by default when entering a new bug. Usually the latest release.
Currently people have to decide from the description or on their own which one
to choose.

Comment 1 David Lawrence 2010-01-15 17:33:38 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.

Comment 2 David Lawrence 2010-08-25 21:42:06 UTC
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team

Comment 5 Simon Green 2012-05-10 12:12:54 UTC
With Bugzilla 4.2, you can mark old versions as inactive. This will prevent new and existing bugs to be assigned against an inactive version (unless it is already selected for an existing bug).

Trying to automatically guess the correct version of a product is bad, since it will lead to people ignoring the field rather than making an explicit decision, IMO.

  -- simon


Note You need to log in before you can comment on or make changes to this bug.